> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get space billingsubscription

> Get subscription detail by spaceId



## OpenAPI

````yaml /swagger.json get /space/{spaceId}/billing/subscription
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /space/{spaceId}/billing/subscription:
    get:
      tags:
        - billing
      description: Get subscription detail by spaceId
      parameters:
        - schema:
            type: string
          required: true
          name: spaceId
          in: path
      responses:
        '200':
          description: Returns subscription detail.
          content:
            application/json:
              schema:
                type: object
                properties:
                  base:
                    type: object
                    properties:
                      id:
                        type: string
                      type:
                        type: string
                        enum:
                          - base
                          - credit
                          - rowCount
                          - attachmentSize
                          - automationRun
                      catalog:
                        type: string
                        enum:
                          - cloud
                          - self-hosted
                      level:
                        type: string
                        enum:
                          - free
                          - pro
                          - business
                          - enterprise
                      limit:
                        type: object
                        properties:
                          maxRows:
                            type: number
                          maxSizeAttachments:
                            type: number
                          maxNumAutomationRuns:
                            type: number
                          maxNumDatabaseConnections:
                            type: number
                          maxRevisionHistoryDays:
                            type: number
                          maxAutomationHistoryDays:
                            type: number
                          automationEnable:
                            type: boolean
                          auditLogEnable:
                            type: boolean
                          adminPanelEnable:
                            type: boolean
                          rowColoringEnable:
                            type: boolean
                          buttonFieldEnable:
                            type: boolean
                          fieldAIEnable:
                            type: boolean
                          userGroupEnable:
                            type: boolean
                          advancedExtensionsEnable:
                            type: boolean
                          advancedPermissionsEnable:
                            type: boolean
                          passwordRestrictedSharesEnable:
                            type: boolean
                          authenticationEnable:
                            type: boolean
                          domainVerificationEnable:
                            type: boolean
                          organizationEnable:
                            type: boolean
                          apiRateLimit:
                            type: number
                          chatAIEnable:
                            type: boolean
                          appEnable:
                            type: boolean
                          customDomainEnable:
                            type: boolean
                          maxNumAutomationSendEmail:
                            type: number
                        required:
                          - maxRows
                          - maxSizeAttachments
                          - maxNumAutomationRuns
                          - maxNumDatabaseConnections
                          - maxRevisionHistoryDays
                          - maxAutomationHistoryDays
                          - automationEnable
                          - auditLogEnable
                          - adminPanelEnable
                          - rowColoringEnable
                          - buttonFieldEnable
                          - fieldAIEnable
                          - userGroupEnable
                          - advancedExtensionsEnable
                          - advancedPermissionsEnable
                          - passwordRestrictedSharesEnable
                          - authenticationEnable
                          - domainVerificationEnable
                          - organizationEnable
                          - apiRateLimit
                          - chatAIEnable
                          - appEnable
                          - customDomainEnable
                          - maxNumAutomationSendEmail
                      creditSubscribeEnable:
                        type: boolean
                      status:
                        type: string
                        enum:
                          - active
                          - canceled
                          - incomplete
                          - incomplete_expired
                          - trialing
                          - past_due
                          - unpaid
                          - paused
                          - seat_limit_exceeded
                      quantity:
                        type: number
                      priceId:
                        type: string
                        nullable: true
                      unitAmount:
                        type: number
                      interval:
                        type: string
                        enum:
                          - month
                          - year
                      currentPeriodStart:
                        type: string
                        nullable: true
                      currentPeriodEnd:
                        type: string
                        nullable: true
                      cancelAt:
                        type: string
                        nullable: true
                      isTrialUsed:
                        type: boolean
                      period:
                        type: string
                        enum:
                          - month
                          - year
                          - lifetime
                      appSumoTier:
                        anyOf:
                          - type: number
                            enum:
                              - 1
                          - type: number
                            enum:
                              - 2
                          - type: number
                            enum:
                              - 3
                          - type: number
                            enum:
                              - 4
                    required:
                      - id
                      - type
                      - catalog
                      - level
                      - limit
                      - status
                      - quantity
                      - priceId
                      - unitAmount
                      - interval
                      - currentPeriodStart
                      - currentPeriodEnd
                      - cancelAt
                  credit:
                    type: object
                    properties:
                      id:
                        type: string
                      type:
                        type: string
                        enum:
                          - base
                          - credit
                          - rowCount
                          - attachmentSize
                          - automationRun
                      catalog:
                        type: string
                        enum:
                          - cloud
                          - self-hosted
                      unitAmount:
                        type: number
                      quantity:
                        type: number
                      interval:
                        type: string
                        enum:
                          - month
                          - year
                      cancelAt:
                        type: string
                        nullable: true
                    required:
                      - id
                      - type
                      - catalog
                      - unitAmount
                      - quantity
                      - interval
                      - cancelAt
                  rowCount:
                    type: object
                    properties:
                      id:
                        type: string
                      type:
                        type: string
                        enum:
                          - base
                          - credit
                          - rowCount
                          - attachmentSize
                          - automationRun
                      catalog:
                        type: string
                        enum:
                          - cloud
                          - self-hosted
                      unitAmount:
                        type: number
                      quantity:
                        type: number
                      interval:
                        type: string
                        enum:
                          - month
                          - year
                      cancelAt:
                        type: string
                        nullable: true
                    required:
                      - id
                      - type
                      - catalog
                      - unitAmount
                      - quantity
                      - interval
                      - cancelAt
                  attachmentSize:
                    type: object
                    properties:
                      id:
                        type: string
                      type:
                        type: string
                        enum:
                          - base
                          - credit
                          - rowCount
                          - attachmentSize
                          - automationRun
                      catalog:
                        type: string
                        enum:
                          - cloud
                          - self-hosted
                      unitAmount:
                        type: number
                      quantity:
                        type: number
                      interval:
                        type: string
                        enum:
                          - month
                          - year
                      cancelAt:
                        type: string
                        nullable: true
                    required:
                      - id
                      - type
                      - catalog
                      - unitAmount
                      - quantity
                      - interval
                      - cancelAt
                  automationRun:
                    type: object
                    properties:
                      id:
                        type: string
                      type:
                        type: string
                        enum:
                          - base
                          - credit
                          - rowCount
                          - attachmentSize
                          - automationRun
                      catalog:
                        type: string
                        enum:
                          - cloud
                          - self-hosted
                      unitAmount:
                        type: number
                      quantity:
                        type: number
                      interval:
                        type: string
                        enum:
                          - month
                          - year
                      cancelAt:
                        type: string
                        nullable: true
                    required:
                      - id
                      - type
                      - catalog
                      - unitAmount
                      - quantity
                      - interval
                      - cancelAt
                required:
                  - base
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url https://app.teable.ai/api/space/%7BspaceId%7D/billing/subscription \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/space/%7BspaceId%7D/billing/subscription';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/space/%7BspaceId%7D/billing/subscription',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET", "/api/space/%7BspaceId%7D/billing/subscription",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````